package db

import (
	dciConfig "chain-dci/config"
	"github.com/google/wire"
	"gorm.io/gorm"
	"strings"
)

var MeetingProvider = wire.NewSet(NewDci)

func NewDci() *gorm.DB {
	connOaMeeting := strings.Join([]string{dciConfig.Data.ChainDci.User, ":", dciConfig.Data.ChainDci.Password,
		"@tcp(", dciConfig.Data.ChainDci.Host, ":", dciConfig.Data.ChainDci.Port, ")/",
		dciConfig.Data.ChainDci.DbName, "?charset=utf8mb4&parseTime=true"}, "")
	DbOaMeeting := loadMysqlConn(connOaMeeting)
	return DbOaMeeting
}
